Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.taxa
Interface TaxonParser

All Known Implementing Classes:
  EbiFormat

Deprecated. replaced by classes in `org.biojavax.bio.taxa`

    public interface TaxonParser

Encapsulate the mapping between Taxon and stringified representations of taxa.

Author:
  Matthew Pocock

Method Summary
`Taxon` | `parse(TaxonFactory taxonFactory, String taxonString)` Deprecated. Convert a stringified Taxon into a Taxon instance.
`String` | `serialize(Taxon taxon)` Deprecated. Convert a Taxon into a stringified representation.

Method Detail

### parse

    Taxon parse(TaxonFactory taxonFactory,
                String taxonString)
                throws ChangeVetoException,
                       CircularReferenceException

  Deprecated.
  Convert a stringified Taxon into a Taxon instance.

  Parameters:
    `taxonFactory` - the TaxonFactory used to instantiate taxa instances
    `taxonString` - the String to parse
  Returns:
    a Taxon instance created by the TaxonFactory from the taxonString
  Throws:
    `ChangeVetoException`
    `CircularReferenceException`

### serialize

    String serialize(Taxon taxon)

  Deprecated.
  Convert a Taxon into a stringified representation.

  Parameters:
    `taxon` - the Taxon to serialize
  Returns:
    the stringified version of Taxon

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD